lp:~robert-ancell/vte/update-0.44

Created by Robert Ancell on 2016-05-10 and last modified on 2016-05-10
Get this branch:
bzr branch lp:~robert-ancell/vte/update-0.44
Only Robert Ancell can upload to this branch. If you are Robert Ancell please log in for upload directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Robert Ancell
Project:
Gnome Virtual Terminal Emulator
Status:
Development

Recent revisions

3. By Robert Ancell on 2016-05-10

New upstream release

2. By Robert Ancell on 2016-05-10

* Merge from Debian unstable. Remaining changes (LP: 1557947)
* debian/control:
  - Depend on libgnutls-dev instead of obsolete libgnutls28-dev
* debian/patches/0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
  - Keep as it is require for the Ubuntu theming
* debian/patches/91_keep_fds.patch:
  - Keep file descriptors open on vte_fork_pty()
* New upstream release.
* No-change rebuild for gnutls transition.
* Merge from Debian unstable. Remaining changes:
* debian/control:
  - Depend on libgnutls-dev instead of obsolete libgnutls28-dev
* debian/patches/0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
  - Keep as it is require for the Ubuntu theming
* debian/patches/91_keep_fds.patch:
  - Keep file descriptors open on vte_fork_pty()
* New upstream release.
* New upstream release.
* Merge from Debian unstable (LP: #1508636). Remaining changes:
* debian/control:
  - Depend on libgnutls-dev instead of obsolete libgnutls28-dev
* debian/patches/0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
  - Keep as it is require for the Ubuntu theming
* debian/patches/91_keep_fds.patch:
  - Keep file descriptors open on vte_fork_pty()
* Bump debhelper version to 9
* Add multi-arch support (LP: #1508636)
* Remove remaining bits related to gnome-pty-helper
* Pass --as-needed to dh_autoreconf and to the linker to reduce runtime
  dependencies
* debian/patches/0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
  Replace with new version that does not cause gnome-terminal to
  miscalculate the terminal size at startup. (LP: #1528728)
* Merge with Debian, remaining Ubuntu changes:
* debian/control:
  - Depend on libgnutls-dev instead of obsolete libgnutls28-dev
* debian/patches/0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
  - Keep as it is require for the Ubuntu theming
* debian/patches/91_keep_fds.patch:
  - Keep file descriptors open on vte_fork_pty()
* New upstream release.
* New upstream release.
* Update (build-)dependencies according to configure.ac changes:
  - bump libgnutls28-dev to >= 3.2.7
* Update debian/patches/*.patch to apply cleanly.
* Stop shipping gnome-pty-helper in libvte-2.91-0
  - no longer shipped by upstream (see bgo#747046).
    (this means no utmp/wtmp updating anymore.)
* Update debian/libvte-2.91-0.symbols with one removal
  - The magic vte_get_resource symbol has no users according
    to codesearch.debian.net and noone will likely notice it's
    missing.
* Drop 0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch as it
  causes a regression and makes gnome-terminal use a smaller size then
  configured. Thanks Ian Abbott for tracking this down. Closes: #787104

1. By Robert Ancell on 2015-10-27

i

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:vte
This branch contains Public information 
Everyone can see this information.

Subscribers